| AI Engine-ML Intrinsics User Guide (v2026.1)

Loading...
Searching...
No Matches
Functions
Extract element from vector
Vector Conversions » Extract vector

## Overview

Intrinsics allowing you to extract one element from a given vector. Here, idx gives the vector lane from which the element will be extracted.

## Functions
int | extract_elem (v16int4 v, int idx)
unsigned int | extract_elem (v16uint4 v, int idx)
int | extract_elem (v2int16 v, int idx)
int | extract_elem (v2int32 v, int idx)
int | extract_elem (v2int4 v, int idx)
int | extract_elem (v2int8 v, int idx)
unsigned int | extract_elem (v2uint16 v, int idx)
unsigned int | extract_elem (v2uint32 v, int idx)
unsigned int | extract_elem (v2uint4 v, int idx)
unsigned int | extract_elem (v2uint8 v, int idx)
int | extract_elem (v4int16 v, int idx)
int | extract_elem (v4int4 v, int idx)
int | extract_elem (v4int8 v, int idx)
unsigned int | extract_elem (v4uint16 v, int idx)
unsigned int | extract_elem (v4uint4 v, int idx)
unsigned int | extract_elem (v4uint8 v, int idx)
int | extract_elem (v8int4 v, int idx)
int | extract_elem (v8int8 v, int idx)
unsigned int | extract_elem (v8uint4 v, int idx)
unsigned int | extract_elem (v8uint8 v, int idx)

## Function Documentation

## ◆ extract_elem() [1/20]

int extract_elem | ( | v16int4 | v,
|  | int | idx )

## ◆ extract_elem() [2/20]

unsigned int extract_elem | ( | v16uint4 | v,
|  | int | idx )

## ◆ extract_elem() [3/20]

int extract_elem | ( | v2int16 | v,
|  | int | idx )

## ◆ extract_elem() [4/20]

int extract_elem | ( | v2int32 | v,
|  | int | idx )

## ◆ extract_elem() [5/20]

int extract_elem | ( | v2int4 | v,
|  | int | idx )

## ◆ extract_elem() [6/20]

int extract_elem | ( | v2int8 | v,
|  | int | idx )

## ◆ extract_elem() [7/20]

unsigned int extract_elem | ( | v2uint16 | v,
|  | int | idx )

## ◆ extract_elem() [8/20]

unsigned int extract_elem | ( | v2uint32 | v,
|  | int | idx )

## ◆ extract_elem() [9/20]

unsigned int extract_elem | ( | v2uint4 | v,
|  | int | idx )

## ◆ extract_elem() [10/20]

unsigned int extract_elem | ( | v2uint8 | v,
|  | int | idx )

## ◆ extract_elem() [11/20]

int extract_elem | ( | v4int16 | v,
|  | int | idx )

## ◆ extract_elem() [12/20]

int extract_elem | ( | v4int4 | v,
|  | int | idx )

## ◆ extract_elem() [13/20]

int extract_elem | ( | v4int8 | v,
|  | int | idx )

## ◆ extract_elem() [14/20]

unsigned int extract_elem | ( | v4uint16 | v,
|  | int | idx )

## ◆ extract_elem() [15/20]

unsigned int extract_elem | ( | v4uint4 | v,
|  | int | idx )

## ◆ extract_elem() [16/20]

unsigned int extract_elem | ( | v4uint8 | v,
|  | int | idx )

## ◆ extract_elem() [17/20]

int extract_elem | ( | v8int4 | v,
|  | int | idx )

## ◆ extract_elem() [18/20]

int extract_elem | ( | v8int8 | v,
|  | int | idx )

## ◆ extract_elem() [19/20]

unsigned int extract_elem | ( | v8uint4 | v,
|  | int | idx )

## ◆ extract_elem() [20/20]

unsigned int extract_elem | ( | v8uint8 | v,
|  | int | idx )